<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <Reference Include="MediatR">
        <HintPath>..\..\..\..\.nuget\packages\mediatr\12.5.0\lib\net6.0\MediatR.dll</HintPath>
      </Reference>
      <Reference Include="Microsoft.Extensions.Hosting.Abstractions">
        <HintPath>..\..\..\..\.nuget\packages\microsoft.aspnetcore.app.ref\9.0.4\ref\net9.0\Microsoft.Extensions.Hosting.Abstractions.dll</HintPath>
      </Reference>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Femto.Common\Femto.Common.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Autofac" Version="8.3.0" />
      <PackageReference Include="EFCore.NamingConventions" Version="9.0.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="9.0.4" />
      <PackageReference Include="Microsoft.Extensions.Hosting" Version="9.0.4" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
    </ItemGroup>

</Project>
